import 'dart:convert';

import 'package:mmoo_base_recharge/generated/json/base/json_field.dart';
import 'package:mmoo_base_recharge/generated/json/recharge_entity.g.dart';

@JsonSerializable()
class RechargeEntity {
  RechargeEntity();

  factory RechargeEntity.fromJson(Map<String, dynamic> json) =>
      $RechargeEntityFromJson(json);

  Map<String, dynamic> toJson() => $RechargeEntityToJson(this);

  String? id; //统一下单返回的id
  String? url; //统一下单返回的充值url
  String? money; //充值成功后余额
  String? addMoney; //订阅支付后新增的金币
  String? payed; //paypal支付成功1
  RechargeResult? result;
}

@JsonSerializable()
class RechargeResult {
  String? merNo;
  String? terNo;
  String? tradeNo;
  String? orderNo;
  String? orderAmount;
  String? orderCurrency;
  int? orderSucceed;
  String? orderResult;
  String? signInfo;
  String? acquirer;
  String? redirectURL;
  String? remark;

  RechargeResult();

  factory RechargeResult.fromJson(Map<String, dynamic> json) =>
      $RechargeResultFromJson(json);

  Map<String, dynamic> toJson() => $RechargeResultToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
